#
# schedutils RPM Spec File - 27 April 2002
#

Summary: Utilities for manipulating process scheduler attributes
Name: schedutils
Version: 1.3.0
Release: 3.XOS.1
License: GPL
Group: Applications/System
Source: schedutils-%{version}.tar.gz
Patch0: schedutils-1.3.0-ia64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
schedutils is a set of utilities for retrieving and manipulating process
scheduler-related attributes, such as real-time parameters and CPU affinity.

This package includes the chrt and taskset utilities.

Install this package if you need to set or get scheduler-related attributes.

%prep
%setup -q
%patch0 -p1

%build
make CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin %{buildroot}%{_mandir}/man1
make PREFIX=%{buildroot}/usr install

%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 755)
%doc ChangeLog COPYING README
%attr(555,root,root) %{_bindir}/chrt
%attr(555,root,root) %{_bindir}/taskset
%attr(0644,root,root) %{_mandir}/man1/chrt.1.gz
%attr(0644,root,root) %{_mandir}/man1/taskset.1.gz

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 1.3.0-3.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on schedutils-1.3.0-3.src.rpm
  (md5sum of original source rpm: 058b08938d50de0099b8d07d6b8457c2).

* Fri Aug  8 2003 Matt Wilson <msw@redhat.com> 1.3.0-3
- fix build on ia64

* Fri Jun 13 2003 Matt Wilson <msw@redhat.com> 1.3.0-2
- rebuild

* Fri Jun 13 2003 Matt Wilson <msw@redhat.com> 1.3.0-1
- 1.3.0

* Tue May 20 2003 Matt Wilson <msw@redhat.com> 1.2.0-2
- rebuild

* Wed May 14 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- fix Group: name

* Fri May  9 2003 Matt Wilson <msw@redhat.com> 1.2.0-1
- fix non-root builds

* Sun Jan 19 2003 Robert Love <rml@tech9.net>
- remove irqset.sh and irqset.1 as they are no longer in the package

* Tue Dec 31 2002 Robert Love <rml@tech9.net>
- remove lsrt and lsrt.1 as they are no longer in the package

* Wed Dec 11 2002 Robert Love <rml@tech9.net>
- lots of little updates

* Sun Apr 28 2002 Robert M. Love <rml@tech9.net>
- initial packaging of 0.0.1
